Package org.drinkless.tdlib

# Class TdApi.ChatAdministrator

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.ChatAdministrator

Enclosing class:
  `TdApi`

public static class TdApi.ChatAdministrator extends TdApi.Object
Contains information about a chat administrator.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeEdited`
  True, if the current user can edit the administrator privileges for the administrator.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `customTitle`
  Custom title of the administrator.
  `boolean`
  `isOwner`
  True, if the user is the owner of the chat.
  `long`
  `userId`
  User identifier of the administrator.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ChatAdministrator()`
  Contains information about a chat administrator.
  `ChatAdministrator(long userId, String customTitle, boolean isOwner, boolean canBeEdited)`
  Contains information about a chat administrator.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    User identifier of the administrator.

  - ### customTitle

    public String customTitle
    Custom title of the administrator.

  - ### isOwner

    public boolean isOwner
    True, if the user is the owner of the chat.

  - ### canBeEdited

    public boolean canBeEdited
    True, if the current user can edit the administrator privileges for the administrator.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ChatAdministrator

    public ChatAdministrator()
    Contains information about a chat administrator.

  - ### ChatAdministrator

    public ChatAdministrator(long userId, String customTitle, boolean isOwner, boolean canBeEdited)
    Contains information about a chat administrator.
    Parameters:
      `userId` - User identifier of the administrator.
      `customTitle` - Custom title of the administrator.
      `isOwner` - True, if the user is the owner of the chat.
      `canBeEdited` - True, if the current user can edit the administrator privileges for the administrator.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR